import { error } from '@sveltejs/kit';


export async function load({ url, params, data }) {
    try {
        let post = await import(`../_posts/${params.slug}.svx`);
        post.metadata.prev = data.prev;
        post.metadata.next = data.next;
        return {
            post: post.default,
        }
    }
    catch (err) {
        // throw error(404, `Not found: ${url.pathname}`);
        console.log(err);
        throw err;
    }
}
